Loading...
Searching...
No Matches
D3D12_INDIRECT_ARGUMENT_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_INDIRECT_ARGUMENT_TYPE | Type
union { |
struct { |
UINT Slot |
} VertexBuffer
struct { |
UINT RootParameterIndex |
UINT DestOffsetIn32BitValues |
UINT Num32BitValuesToSet |
} Constant
struct { |
UINT RootParameterIndex |
} ConstantBufferView
struct { |
UINT RootParameterIndex |
} ShaderResourceView
struct { |
UINT RootParameterIndex |
} UnorderedAccessView
}; |

## Detailed Description

Definition at line 2744 of file mini_d3d12.h.

## Member Data Documentation

## Type

D3D12_INDIRECT_ARGUMENT_TYPE D3D12_INDIRECT_ARGUMENT_DESC::Type

Definition at line 2745 of file mini_d3d12.h.

## Slot

UINT D3D12_INDIRECT_ARGUMENT_DESC::Slot

Definition at line 2749 of file mini_d3d12.h.

## [struct]

struct { ... } D3D12_INDIRECT_ARGUMENT_DESC::VertexBuffer

## RootParameterIndex

UINT D3D12_INDIRECT_ARGUMENT_DESC::RootParameterIndex

Definition at line 2753 of file mini_d3d12.h.

## DestOffsetIn32BitValues

UINT D3D12_INDIRECT_ARGUMENT_DESC::DestOffsetIn32BitValues

Definition at line 2754 of file mini_d3d12.h.

## Num32BitValuesToSet

UINT D3D12_INDIRECT_ARGUMENT_DESC::Num32BitValuesToSet

Definition at line 2755 of file mini_d3d12.h.

## [struct]

struct { ... } D3D12_INDIRECT_ARGUMENT_DESC::Constant

## [struct]

struct { ... } D3D12_INDIRECT_ARGUMENT_DESC::ConstantBufferView

## [struct]

struct { ... } D3D12_INDIRECT_ARGUMENT_DESC::ShaderResourceView

## [struct]

struct { ... } D3D12_INDIRECT_ARGUMENT_DESC::UnorderedAccessView

## [union]

union { ... } D3D12_INDIRECT_ARGUMENT_DESC

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h